Subject: shell-command should say where it is talking about

From: [email-masked]
Date: Sun, 15 Aug 2010 01:38:41 +0800

M-! (translated from <escape> !) runs the command shell-command, which
       is an interactive compiled Lisp function in `simple.el'.

OK, but in its error message,

    (Shell command failed with code 99 and some error output)

you had better tell the user just what buffer to look for that error
output in, lest he have to figure it out himself. Not impossible but not
friendly. emacs-version "24.0.50.1".